Docker Image Ops
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Docker Image Ops action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Mirror node image",
"type": "DOCKER_IMAGE_OPS",
"trigger_time": "ON_EVERY_EXECUTION",
"src": {
"docker_registry": "DOCKER_HUB",
"image": "node",
"tag": "20"
},
"push": {
"docker_registry": "AMAZON_ECR",
"region": "us-east-1",
"integration": "my-ecr",
"name": "mirror/node",
"tag": "20",
"quarantine": 14,
"insecure_registry": false
},
"scan": {
"scanners": [
"VULNERABILITY",
"SECRET"
],
"severities": [
"CRITICAL",
"HIGH"
],
"fail_only_on_fixable": true
},
"ignore": {
"vulnerabilities": [
{
"id": "CVE-2023-45853",
"paths": [
"usr/lib/**"
],
"statement": "Not exploitable in our runtime",
"expires_at": "2026-12-31"
}
],
"misconfigurations": [
{
"id": "AVD-DS-0001"
}
],
"secrets": [
{
"id": "generic-api-key"
}
],
"licenses": [
{
"id": "0BSD"
}
]
}
}'STATUS200 OK